Skip to content

Freeze loan

Request

Freeze loan will change the status of an active loan to frozen effective as of the current date. The loan will remain in a frozen status until the Unfreeze endpoint is called.

Security
oauth2(Required scopes: loan:freeze) or bearerAuth or apiKeyHeader
Path
personIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

loanIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

The unique identifier of the Loan we wish to retrieve. Can be Peach or lender's external identifier.

Bodyapplication/jsonrequired
caseIdstring

An identifier for an existing case.

sendNoticeboolean

When set to false, the system will NOT send a loanFreeze notice to the borrower.

Default:true
POST
/people/{personId}/loans/{loanId}/freeze
curl -i -X POST \
  'https://sandboxapi.peach.finance/api/people/{personId}/loans/{loanId}/freeze' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "caseId": "string",
    "sendNotice": true
  }'

Responses

Success no content